%define Werror_cflags %nil

Summary:	VICE, the Versatile Commodore Emulator
Name:		vice
Version:	2.3.14
Release:	%mkrel 2
License:	GPLv2
Group:		Emulators
Source0:	http://www.zimmers.net/anonftp/pub/cbm/crossplatform/emulators/VICE/%{name}-%{version}.tar.gz
Source1:	vice-normalicons.tar.bz2
Source2:	vice-largeicons.tar.bz2
Source3:	vice-miniicons.tar.bz2
URL:		http://www.viceteam.org/
BuildRequires:	gettext-devel
BuildRequires:	giflib-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	readline-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_sound-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(gdkglext-1.0)
BuildRequires:	pkgconfig(libgnomeui-2.0)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	flex
BuildRequires:	mkfontdir
BuildRequires:	bdftopcf
Requires:	vice-binaries = %{version}-%{release}

%description
VICE is a set of accurate emulators for the Commodore 64, 128, VIC20,
PET and CBM-II 8-bit computers, all of which run under the X Window
System.

%package sdl
Summary:	SDL set of vice emulators binaries
Group:		Emulators
Requires:	%{name} = %{version}-%{release}
Provides:	vice-binaries = %{version}-%{release}

%description sdl
SDL set of vice emulators binaries.

%package gtk
Summary:	GTK set of vice emulators binaries
Group:		Emulators
Requires:	%{name} = %{version}-%{release}
Provides:	vice-binaries = %{version}-%{release}

%description gtk
GTK set of vice emulators binaries.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -DNO_REGPARM"
%configure2_5x --enable-sdlui --enable-fullscreen
%make

make install DESTDIR=`pwd`/sdl

pushd sdl/usr/bin
for i in *
do
	mv $i $i-sdl
done
popd

make clean

%configure2_5x --enable-gnomeui --enable-fullscreen
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std

cp sdl/%{_bindir}/*-sdl %{buildroot}%{_bindir}/

#xdg menus
#============GTK============
%__mkdir_p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/mandriva-x64-gtk.desktop << EOF
[Desktop Entry]
Name=C64 Emulator (GTK)
Comment=Commodore 64 Emulator
Exec=%{_bindir}/x64 %U
Icon=c64icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;Emulator;
EOF

%__cat > %{buildroot}%{_datadir}/applications/mandriva-x128-gtk.desktop << EOF
[Desktop Entry]
Name=C128 Emulator (GTK)
Comment=Commodore 128 Emulator
Exec=%{_bindir}/x128 %U
Icon=c128icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;Emulator;
EOF

%__cat > %{buildroot}%{_datadir}/applications/mandriva-xpet-gtk.desktop << EOF
[Desktop Entry]
Name=PET Emulator (GTK)
Comment=Commodore PET Emulator
Exec=%{_bindir}/xpet %U
Icon=peticon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;Emulator;
EOF

%__cat > %{buildroot}%{_datadir}/applications/mandriva-xvic-gtk.desktop << EOF
[Desktop Entry]
Name=VIC 20 Emulator (GTK)
Comment=Commodore VIC 20 Emulator
Exec=%{_bindir}/xvic %U
Icon=vic20icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;Emulator;
EOF

%__cat > %{buildroot}%{_datadir}/applications/mandriva-xcbm2-gtk.desktop << EOF
[Desktop Entry]
Name=CBM2 Emulator (GTK)
Comment=Commodore BM 2 Emulator
Exec=%{_bindir}/xcbm2 %U
Icon=c610icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;Emulator;
EOF

%__cat > %{buildroot}%{_datadir}/applications/mandriva-xplus4-gtk.desktop << EOF
[Desktop Entry]
Name=CPLUS4 Emulator (GTK)
Comment=Commodore PLUS4 Emulator
Exec=%{_bindir}/xplus4 %U
Icon=plus4icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GNOME;GTK;Emulator;
EOF

%__cat > %{buildroot}%{_datadir}/applications/mandriva-c1541-gtk.desktop << EOF
[Desktop Entry]
Name=VICE disk image tool (GTK)
Comment=C1541 stand alone disk image maintenance program
Exec=%{_bindir}/c1541 %U
Icon=commodore
Terminal=true
Type=Application
StartupNotify=true
Categories=Emulator;
EOF

%__cat > %{buildroot}%{_datadir}/applications/mandriva-vsid-gtk.desktop << EOF
[Desktop Entry]
Name=VSID music player (GTK)
Comment=VICE SID music player for Commodore tunes
Exec=%{_bindir}/vsid %U
Icon=commodore
Terminal=false
Type=Application
StartupNotify=true
Categories=Audio;Player;
EOF
#============GTK============

#============SDL============
%__cat > %{buildroot}%{_datadir}/applications/mandriva-x64-sdl.desktop << EOF
[Desktop Entry]
Name=C64 Emulator (SDL)
Comment=Commodore 64 Emulator
Exec=%{_bindir}/x64-sdl %U
Icon=c64icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=Game;Emulator;
EOF

%__cat > %{buildroot}%{_datadir}/applications/mandriva-x128-sdl.desktop << EOF
[Desktop Entry]
Name=C128 Emulator (SDL)
Comment=Commodore 128 Emulator
Exec=%{_bindir}/x128-sdl %U
Icon=c128icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=Emulator;
EOF

%__cat > %{buildroot}%{_datadir}/applications/mandriva-xpet-sdl.desktop << EOF
[Desktop Entry]
Name=PET Emulator (SDL)
Comment=Commodore PET Emulator
Exec=%{_bindir}/xpet-sdl %U
Icon=peticon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=Emulator;
EOF

%__cat > %{buildroot}%{_datadir}/applications/mandriva-xvic-sdl.desktop << EOF
[Desktop Entry]
Name=VIC 20 Emulator (SDL)
Comment=Commodore VIC 20 Emulator
Exec=%{_bindir}/xvic-sdl %U
Icon=vic20icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=Emulator;
EOF

%__cat > %{buildroot}%{_datadir}/applications/mandriva-xcbm2-sdl.desktop << EOF
[Desktop Entry]
Name=CBM2 Emulator (SDL)
Comment=Commodore BM 2 Emulator
Exec=%{_bindir}/xcbm2-sdl %U
Icon=c610icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=Emulator;
EOF

%__cat > %{buildroot}%{_datadir}/applications/mandriva-xplus4-sdl.desktop << EOF
[Desktop Entry]
Name=CPLUS4 Emulator (SDL)
Comment=Commodore PLUS4 Emulator
Exec=%{_bindir}/xplus4-sdl %U
Icon=plus4icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=Emulator;
EOF

%__cat > %{buildroot}%{_datadir}/applications/mandriva-c1541-sdl.desktop << EOF
[Desktop Entry]
Name=VICE disk image tool (SDL)
Comment=C1541 stand alone disk image maintenance program
Exec=%{_bindir}/c1541-sdl %U
Icon=commodore
Terminal=true
Type=Application
StartupNotify=true
Categories=Emulator;
EOF

%__cat > %{buildroot}%{_datadir}/applications/mandriva-vsid-sdl.desktop << EOF
[Desktop Entry]
Name=VSID music player (SDL)
Comment=VICE SID music player for Commodore tunes
Exec=%{_bindir}/vsid-sdl %U
Icon=commodore
Terminal=false
Type=Application
StartupNotify=true
Categories=Audio;Player;
EOF
#============SDL============

#install icons
%__mkdir_p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
tar xjf %{SOURCE1} -C %{buildroot}%{_iconsdir}/hicolor/32x32/apps
tar xjf %{SOURCE2} -C %{buildroot}%{_iconsdir}/hicolor/48x48/apps
tar xjf %{SOURCE3} -C %{buildroot}%{_iconsdir}/hicolor/16x16/apps

%find_lang %{name}

%clean
%__rm -rf %{buildroot}

%if %{mdvver} < 201200
%post
%_install_info vice.info

%preun
%_remove_install_info vice.info
%endif

%files -f %{name}.lang
%doc AUTHORS FEEDBACK INSTALL README ChangeLog doc/html/plain/*
%{_prefix}/lib/vice
%{_mandir}/man1/*
%{_infodir}/%{name}*
%{_iconsdir}/hicolor/*/apps/*.png

%files sdl
%{_bindir}/*-sdl
%{_datadir}/applications/*-sdl.desktop

%files gtk
%{_bindir}/*
%exclude %{_bindir}/*-sdl
%{_datadir}/applications/*-gtk.desktop



%changelog
* Sat Jun 02 2012 Andrey Bondrov <abondrov@mandriva.org> 2.3.14-2mdv2012.0
+ Revision: 801989
- Package both SDL and GTK versions, create separate packages for each

* Fri Jun 01 2012 Andrey Bondrov <abondrov@mandriva.org> 2.3.14-1
+ Revision: 801743
- New version 2.3.14, obsoletes vice-sdl, spec cleanup

  + Götz Waschk <waschk@mandriva.org>
    - remove opencbm dep

* Tue Aug 02 2011 Götz Waschk <waschk@mandriva.org> 2.3-1
+ Revision: 692725
- new version
- remove obsolete docs

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2-2mdv2011.0
+ Revision: 615388
- the mass rebuild of 2010.1 packages

* Wed Mar 31 2010 Götz Waschk <waschk@mandriva.org> 2.2-1mdv2010.1
+ Revision: 530422
- drop all patches

  + Zombie Ryushu <ryushu@mandriva.org>
    - upgrade to 2.2
    - upgrade to 2.2

* Sun Aug 16 2009 Götz Waschk <waschk@mandriva.org> 2.1-5mdv2010.0
+ Revision: 416907
- fix build

* Fri Feb 27 2009 Emmanuel Andry <eandry@mandriva.org> 2.1-4mdv2009.1
+ Revision: 345687
- diff P1 from svn upstream to fix alsa fragment issue

* Wed Feb 25 2009 Götz Waschk <waschk@mandriva.org> 2.1-3mdv2009.1
+ Revision: 344823
- rebuild for new libreadline

* Sat Jan 17 2009 Emmanuel Andry <eandry@mandriva.org> 2.1-2mdv2009.1
+ Revision: 330795
- diff P0 to fix str fmt

  + Zombie Ryushu <ryushu@mandriva.org>
    - New version to fix XRandR Fullscreen bug

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 2.0-1mdv2009.1
+ Revision: 296231
- new version
- update build deps
- update source URL

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.22-2mdv2009.0
+ Revision: 218426
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <blino@mandriva.org> 1.22-2mdv2008.1
+ Revision: 136570
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Götz Waschk <waschk@mandriva.org> 1.22-2mdv2008.0
+ Revision: 80716
- fix buildrequires

* Thu Sep 06 2007 Götz Waschk <waschk@mandriva.org> 1.22-1mdv2008.0
+ Revision: 80596
- new version
- drop patch
- fix menu category for vsid
- fix buildrequires

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 1.21-2mdv2008.0
+ Revision: 70350
- info file must be unregistered before being uninstalled

  + Götz Waschk <waschk@mandriva.org>
    - readd buildroot

* Thu Jul 26 2007 Adam Williamson <awilliamson@mandriva.org> 1.21-1mdv2008.0
+ Revision: 55710
- fd.o icons
- drop old menu
- update requires / buildrequires
- add patch0 (fixes bug caused by libx11 security update, from Debian)
- new release 1.21


* Thu Jan 18 2007 Götz Waschk <waschk@mandriva.org> 1.20-2mdv2007.0
+ Revision: 110193
- build with opencbm

* Thu Jan 18 2007 Götz Waschk <waschk@mandriva.org> 1.20-1mdv2007.1
+ Revision: 110082
- Import vice

* Thu Jan 18 2007 Gtz Waschk <waschk@mandriva.org> 1.20-1mdv2007.1
- fix buildrequires
- new version
- drop patch

* Thu Jun 29 2006 Gtz Waschk <waschk@mandriva.org> 1.19-2mdv2007.0
- xdg menu
- fix buildrequires

* Thu May 18 2006 Gtz Waschk <waschk@mandriva.org> 1.19-1mdk
- patch for experimental gnome2 ui
- fix buildrequires
- new version

* Thu Oct 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.17-1mdk
- New release 1.17

* Sat May 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.16-2mdk
- lib64 fix
- fix ownership of icons
- %%mkrel

* Wed Feb 16 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.16-1mdk
- 1.16

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.15-3mdk
- rebuild for new readline

* Fri Nov 19 2004 Götz Waschk <waschk@linux-mandrake.com> 1.15-2mdk
- fix mime types

* Fri Oct 22 2004 Gåtz Waschk <waschk@linux-mandrake.com> 1.15-1mdk
- drop merged patch
- New release 1.15

* Fri Aug 20 2004 Gåtz Waschk <waschk@linux-mandrake.com> 1.14-4mdk
- rebuild for new menu

* Wed Aug 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.14-3mdk
- fix crash on 64 bit architectures (P0)
- update url

* Tue Jun 08 2004 Götz Waschk <waschk@linux-mandrake.com> 1.14-2mdk
- rebuild for new g++

* Sat May 15 2004 Michael Scherer <misc@mandrake.org> 1.14-1mdk
- New release 1.14

